groups:
- name: staging.rules
  rules:
  - alert: StagingPostgresIO_High
    expr: rate(node_disk_io_time_ms{device="dm-0",environment="stg",tier="db",type="postgres"}[2m])
      / 1000 > 0.8
    for: 5m
    labels:
      channel: production
      severity: warn
    annotations:
      description: Staging postgres is running out of IO capacity, if a migration
        is being executed, then the migration must be stopped and reviewed as it will
        impact production with downtime when executed there, if not, something really
        odd is going on. cc/ @developers to review impacting migrations.
      runbook: ""
      title: Staging Postgres is using all the available IO capacity
